package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Hari
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "Hari_M")
public class HariVO extends BaseMasterVO {
	@Caption(value="Kode Hari")
	private Byte kdHari;

	public void setKdHari(Byte kdHari) {
		this.kdHari = kdHari;
	}

	@Column(name = "KdHari", nullable = false )
	public Byte getKdHari(){
		return this.kdHari;
	}

	@Caption(value="Nama Hari")
	private String namaHari;

	public void setNamaHari(String namaHari) {
		this.namaHari = namaHari;
	}

	@Column(name = "NamaHari", nullable = false , length = 10)
	public String getNamaHari(){
		return this.namaHari;
	}

	@Caption(value="No Urut HariVO Ke")
	private Byte noUrutHariKe;

	public void setNoUrutHariKe(Byte noUrutHariKe) {
		this.noUrutHariKe = noUrutHariKe;
	}

	@Column(name = "NoUrutHariKe", nullable = false )
	public Byte getNoUrutHariKe(){
		return this.noUrutHariKe;
	}

	@Caption(value="QHari")
	private Byte qHari;

	public void setqHari(Byte qHari) {
		this.qHari = qHari;
	}

	@Column(name = "QHari", nullable = false )
	public Byte getqHari(){
		return this.qHari;
	}

	/*//
	@OneToMany(fetch=FetchType.LAZY, cascade = CascadeType.ALL, mappedBy="kdharilibur")
	private Set<HariLibur> HariLiburSet = new HashSet<HariLibur>();

	public Set<HariLibur> getHariLiburSet() {
		return HariLiburSet;
	}

	public void setHariLiburSet(Set<HariLibur> hariLiburSet) {
		HariLiburSet = hariLiburSet;
	}*/

}

